> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# سرد عمليات التوجيه

> يسرد قواعد التوجيه ضمن حساب المسار.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/forwarding
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/forwarding:
    get:
      tags:
        - public-accounts
        - public-forwarding
      summary: سرد عمليات التوجيه
      description: يسرد قواعد التوجيه ضمن حساب المسار.
      operationId: list_public_forwarding_v1_public_accounts__account_id__forwarding_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForwardingListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ForwardingListResponse:
      properties:
        items:
          description: قواعد إعادة التوجيه في هذه الصفحة
          items:
            $ref: '#/components/schemas/ForwardingDTO'
          title: العناصر
          type: array
        page:
          description: رقم الصفحة الحالي المستند إلى واحد
          title: الصفحة
          type: integer
        page_size:
          description: الحد الأقصى للعناصر لكل صفحة
          title: حجم الصفحة
          type: integer
        total:
          description: إجمالي قواعد إعادة التوجيه المطابقة
          title: الإجمالي
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: ForwardingListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    ForwardingDTO:
      properties:
        active:
          description: ما إذا كانت إعادة التوجيه نشطة
          title: نشط
          type: boolean
        created_at:
          description: إعادة توجيه الطابع الزمني لإنشاء القاعدة
          title: تاريخ الإنشاء
          type: string
        id:
          description: إعادة توجيه القاعدة UUID
          format: uuid
          title: المعرّف
          type: string
        scope_id:
          description: المورد UUID لنطاق إعادة التوجيه
          format: uuid
          title: معرف النطاق
          type: string
        scope_type:
          description: نوع نطاق المورد لقاعدة إعادة التوجيه
          enum:
            - account
            - workspace
            - domain
          title: نوع النطاق
          type: string
        target_email:
          description: إعادة توجيه عنوان البريد الإلكتروني الوجهة
          title: البريد الإلكتروني الهدف
          type: string
        updated_at:
          description: إعادة توجيه الطابع الزمني للتحديث الأخير لقاعدة
          title: تاريخ التحديث
          type: string
        verification_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          description: الطابع الزمني لانتهاء التحقق
          title: وقت انتهاء صلاحية التحقق
        verification_required:
          description: ما إذا كان التحقق من المستلم مطلوبًا أم لا
          title: التحقق مطلوب
          type: boolean
        verification_sent_at:
          anyOf:
            - type: string
            - type: 'null'
          description: تم إرسال الطابع الزمني لرسالة التحقق عبر البريد الإلكتروني
          title: وقت إرسال التحقق
        verification_state:
          description: حالة التحقق من المستلم
          enum:
            - internal
            - pending
            - verified
            - expired
          title: حالة التحقق
          type: string
        verification_verified_at:
          anyOf:
            - type: string
            - type: 'null'
          description: الطابع الزمني لاستكمال التحقق
          title: وقت تأكيد التحقق
      required:
        - id
        - target_email
        - scope_type
        - scope_id
        - active
        - verification_state
        - verification_required
        - created_at
        - updated_at
      title: ForwardingDTO
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````